#/bin/sh
# source me zweimal aus fax_status: fr sendq und doneq
# eingelesen wird  /tmp/~2dj23dj
#
# $1: sendq, doneq
# $2: 1   1 Tag  
#     3   3 Tage
#     n   n Tage
#    $2 ist nur bei doneq relevant

sudo /usr/local/bin/fax_chgrp_var_spool_fax

xx=$1
tage=$2

if [ "$xx" == "sendq" ]; then 
     #echo "sendq!!!!!!!!!"
     find /var/spool/fax/sendq/* -iname "q*" | tac > /tmp/~faxjournal 
     chmod 666 /tmp/~faxjournal
     # alle in Sendung befindlichen Faxe
else 
    if [ "$tage" == "1" ]; then
       find /var/spool/fax/doneq/* -daystart -mtime -1 | tac > /tmp/~faxjournal 
       chmod 666 /tmp/~faxjournal
    else 
       # die gesendeten Faxe der vergangenen $tage
       find /var/spool/fax/doneq/* -mtime -"$tage" | tac > /tmp/~faxjournal
       chmod 666 /tmp/~faxjournal
  fi
fi

#read a

while read aa; do 
   a=`basename $aa`
   #echo "================ " $a 
#   if [ -e /var/spool/fax/davidq/$a ]; then

     #echo "a: " $a 
     tt=`grep tts /var/spool/fax/"$xx"/$a`
#     tt=`grep killtime /var/spool/fax/"$xx"/$a`
     #echo "tt: " $tt
     ttt=${tt##*:}
     #echo "ttt: " $ttt
     datum=`/home/david/linuxburg/fax_timeconvert $ttt`
     #echo "datum: " $datum

#  Tel-Nr aus davidq/q___ holen, weil dort noch die /,-,' ' enthalten -> bersichtlicher!
#     tt=`grep number  /var/spool/fax/"$xx"/$a`
#     telnr=${tt##*:}
#     #echo "Tel-Nr: " $telnr
#     telnr=`echo "__________________________""$telnr" |sed 's/.*\(.\{17\}\)/\1/'`

     tt=`grep npages  /var/spool/fax/"$xx"/$a`
     npages=${tt##*:}
     #echo "Seitenzahl gefaxt: " $npages

     tt=`grep totpages  /var/spool/fax/"$xx"/$a`
     totpages=${tt##*:}
     #echo "Seitenzahl insgesamt: " $totpages

 
     tt=`grep number /var/spool/fax/"$xx"/$a`
     telnr=${tt##*:}
     #echo "Tel-Nr: " $telnr


     tt=`grep receiver /var/spool/fax/"$xx"/$a`
     receive=${tt##*:}
     #echo "Empfnger " $telnr

     #Achtung: ggf. mehrere Dokumente
     grep "docq\/doc"  /var/spool/fax/"$xx"/$a | sed 's/!//' | grep -v "00" > /tmp/~fax_docs
     chmod 666 /tmp/~fax_docs
     dname=""
     while read the_docs; do
       dname=$dname" "${the_docs##*docq/}
       #echo "doc-Name: " $dname
     done < /tmp/~fax_docs

     tt=`grep ntries  /var/spool/fax/"$xx"/$a`
     ntries=${tt##*:}
     #echo "ntries: " $ntries

     tt=`grep ndials  /var/spool/fax/"$xx"/$a`
     ndials=${tt##*:}
     #echo "ndials: " $ndials

     tt=`grep retrytime  /var/spool/fax/"$xx"/$a`
     retrytime=${tt##*:}
     #echo "retrytime: " $retrytime
     
     tt=`grep status  /var/spool/fax/"$xx"/$a`
     status=${tt#*:}
     case $status in
        'Blocked by concurrent jobs' )
           status="Blockiert von anderem Fax"
           ;;
        'Job interrupted by user'* ) 
           status="Fax vom Benutzer abgebrochen"
           ;;
        'Kill time expired'* )
           status="Fax gelscht, zu lange gewartet"
           ;;
        'No carrier detected'* )
           status="Empfnger-Fax ausgeschaltet?"
           ;;
        'The telephone number is busy or temporary not available.' )
           status="Leitung besetzt oder Tel-Nr ungltig."
           ;;
        'Document preparation failed'* )
           status="Die Faxgerte harmonieren nicht miteinander. Bitte per Post schicken."
           ;;
        'Busy signal detected'* )
           status="Leitung besetzt"
           ;;
#       REJECT: Too many attempts to dial: 12, max 12
        'REJECT: Too many attempts'* )
           status="Zu viele Whlversuche"
           ;;
#        'No response to MPS or EOP repeated 3 tries'| \
#        'No response to MPS repeated 3 times' )
#        'Communication failure during Phase B/C'* | \
        'No response to MPS'* | \
        'RSPREC invalid response'* | \
        'Communication failure during Phase'* | \
        'An error occured while trying to establish the connection'*)
           status="Fehlgeschlagener Sendeversuch"
           ;;
        'No response to MPS repeated 3 times; too many attempts to dial' )
           status="Zu viele Sendeversuche."
           ;;
        'RSPREC invalid response received; too many attempts to dial'| \
        'No answer (T.30 T1 timeout); too many attempts to dial'* )
           status="Zu viele Sendeversuche." # Abbruch bei Verb-Aufbau
           ;;
         * )
           echo $xx $status >> /tmp/~faxstatusmeld
           ;;
     esac

#     echo $datum $fadr"|" $dname"|" $telnr"|" $receive"|" $npages"|" $totpages "| Nr:" $a
     echo $datum $fadr 
     echo $dname 
     echo $telnr 
     echo $receive 
     echo $npages 
     echo $totpages 
     echo $a
     if [ "$status" = "" ] && [ "$npages" = "0" ] && [ "$xx" = "doneq" ]; then
        # Fax wurde gelscht
        status="Fax wurde aus der Warteschlange gelscht"
     fi
     if [ "$status" != "" ] || [ "$xx" = "sendq" ]; then
        echo "Whlv:"$ndials "Sendev:"$ntries "Status:\""$status"\"" 
     else 
        echo "-  "
     fi          
     echo "===================================="
#   fi 

#done < /tmp/~2dj23dj    # of while
done < /tmp/~faxjournal   # of while

